Bug 115066 - Too large font size with Japanese language pack
Summary: Too large font size with Japanese language pack
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
5.4.4.2 release
Hardware: All macOS (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK-Japanese
  Show dependency treegraph
 
Reported: 2018-01-17 11:00 UTC by Hideki Yamane
Modified: 2019-06-15 03:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot - normal font size in English (90.16 KB, image/png)
2018-01-17 11:04 UTC, Hideki Yamane
Details
Screenshot - huge font size in Japanese (137.10 KB, image/png)
2018-01-17 11:04 UTC, Hideki Yamane
Details
LibO 6.5.0.2 display on Japanese (137.59 KB, image/png)
2018-08-01 00:16 UTC, Keisuke URAGO
Details
LibO 6.5.0.2 display on English (109.80 KB, image/png)
2018-08-01 00:17 UTC, Keisuke URAGO
Details
Screenshot - huge font size in Japanese with 6.0.5.2 (124.62 KB, image/png)
2018-08-01 00:19 UTC, SUGANO Yoshihisa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hideki Yamane 2018-01-17 11:00:54 UTC
Description:
On macOS, applied Japanese language pack, LibO's UI shows too large font size, it's hurts usability.

Steps to Reproduce:
1. install LibO on macOS
2. apply language pack
3. start LibO


Actual Results:  
It is showed with huge font size


Expected Results:
It should be showed with normal font size


Reproducible: Always


User Profile Reset: No



Additional Info:
Not happen in Linux (Debian unstable)


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36
Comment 1 Hideki Yamane 2018-01-17 11:04:01 UTC
Created attachment 139144 [details]
Screenshot - normal font size in English
Comment 2 Hideki Yamane 2018-01-17 11:04:27 UTC
Created attachment 139145 [details]
Screenshot - huge font size in Japanese
Comment 3 Xisco Faulí 2018-02-07 19:36:35 UTC
Thank you for reporting the bug.
it seems you're using an old version of LibreOffice.
Could you please try to reproduce it with version 6.0 of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 4 Timur 2018-07-31 17:05:05 UTC
Please respond and test with new LO versions and follow your bug.
Comment 5 Hideki Yamane 2018-07-31 23:27:52 UTC
(In reply to Timur from comment #4)
> Please respond and test with new LO versions and follow your bug.

I'm sorry, but now I don't have any macOS machine... ;-(
Comment 6 Keisuke URAGO 2018-08-01 00:12:30 UTC
I tried to display the same window in LibreOffice 6.0.5.2. Same size font were displayed.

Environment:
macOS 10.13.6
Comment 7 Keisuke URAGO 2018-08-01 00:16:59 UTC
Created attachment 143866 [details]
LibO 6.5.0.2 display on Japanese
Comment 8 Keisuke URAGO 2018-08-01 00:17:22 UTC
Created attachment 143867 [details]
LibO 6.5.0.2 display on English
Comment 9 SUGANO Yoshihisa 2018-08-01 00:19:04 UTC
Created attachment 143868 [details]
Screenshot - huge font size in Japanese with 6.0.5.2

I've got too big characters with LO 6.0.5.2 on macOS 10.13.6(High Sierra).
I can't get left and right end of second line in default window size.
Comment 10 QA Administrators 2019-05-15 02:57:26 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2019-06-15 03:00:55 UTC
Dear Hideki Yamane,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp